#!/bin/bash
# baraction.sh for spectrwm status bar
status_bar=0

while [ ${status_bar} -eq 0 ] ; do
  updates=$(~/.config/spectrwm/scripts/checkUpdates.sh)
  kernel=$(~/.config/spectrwm/scripts/kernel_version.sh)
  cpuinfo=$(~/.config/spectrwm/scripts/cpu_info.sh)
  meminfo=$(~/.config/spectrwm/scripts/mem_info.sh)
  volume=$(~/.config/spectrwm/scripts/get_volume.sh)
  date=$(~/.config/spectrwm/scripts/current_date.sh)
  echo "+@fg=3; ${updates} +@fg=0;+@fg=5; ${kernel} +@fg=0;+@fg=1; ${cpuinfo} +@fg=0;+@fg=2; ${meminfo} +@fg=0;+@fg=4; ${volume} +@fg=0;+@fg=5; ${date} +@fg=0;" 
	sleep 2
done
